

/*******************************************************************************************************/
/* rule definition:                                                                                    */
/* 2004-2005: If action taken type = 1, loan purpose = 2 or 3, lien status = 1, and rate spread > 8%,  */
/* then HOEPA status should = 1.                                                                       */ 
/* 2006+: If agency = 1, 2, 3, 4 or 7, action taken type = 1, loan purpose = 2 or 3, lien status = 1,  */
/*      and rate spread > 8%,                                                                          */
/*      then HOEPA status should = 1. The logic excludes agency 5.                                     */
/*******************************************************************************************************/




if activity_year >= 2006 then
do;

	IF (agency_code IN ('1','2','3','4','7') AND action_taken_type EQ '1' AND lien_status EQ '1' 
		AND loan_purpose IN ('2','3') AND rate_spread GT 8 ) THEN DO; 
		   IF HOEPA_status NE '1' THEN 
					 sys_error_editkeys = TRIM(sys_error_editkeys) || 'Q044,'; 
	END;
end;
else
do;
	IF (action_taken_type EQ '1' AND lien_status EQ '1' 
		AND loan_purpose IN ('2','3') AND rate_spread GT 8 ) THEN DO; 
		   IF HOEPA_status NE '1' THEN 
					 sys_error_editkeys = TRIM(sys_error_editkeys) || 'Q044,'; 
	END;
end;



		
		
			
		

			